node-babel-preset-env_1.6.0-1_all.deb


Advertisement

Description

node-babel-preset-env - Babel preset for each environment

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename node-babel-preset-env_1.6.0-1_all.deb
Package name node-babel-preset-env
Package version 1.6.0
Package release 1
Package architecture all
Package type deb
Category javascript
Homepage https://github.com/babel/babel/tree/master/packages/babel-preset-env
License -
Maintainer Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Download size 24.14 KB
Installed size 92.00 KB
Babel preset that can automatically determine the Babel plugins and polyfills
you need based on your supported environments.
Babel is a JavaScript compiler to use next generation JavaScript, today.
ES2015 and beyond: Babel has support for the latest version of JavaScript
through syntax transformers. These plugins allow you to use new syntax, right
now without waiting for browser support.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-babel-preset-env_1.6.0-1_all.deb 1.6.0 all Debian Main
node-babel-preset-env - - -

Requires

Name Value
node-babel-plugin-check-es2015-constants >= 6.22.0
node-babel-plugin-syntax-trailing-function-commas >= 6.22.0
node-babel-plugin-transform-async-to-generator >= 6.22.0
node-babel-plugin-transform-es2015-arrow-functions >= 6.22.0
node-babel-plugin-transform-es2015-block-scoped-functions >= 6.22.0
node-babel-plugin-transform-es2015-block-scoping >= 6.23.0
node-babel-plugin-transform-es2015-classes >= 6.23.0
node-babel-plugin-transform-es2015-computed-properties >= 6.22.0
node-babel-plugin-transform-es2015-destructuring >= 6.23.0
node-babel-plugin-transform-es2015-duplicate-keys >= 6.22.0
node-babel-plugin-transform-es2015-for-of >= 6.23.0
node-babel-plugin-transform-es2015-function-name >= 6.22.0
node-babel-plugin-transform-es2015-literals >= 6.22.0
node-babel-plugin-transform-es2015-modules-amd >= 6.22.0
node-babel-plugin-transform-es2015-modules-commonjs >= 6.23.0
node-babel-plugin-transform-es2015-modules-systemjs >= 6.23.0
node-babel-plugin-transform-es2015-modules-umd >= 6.23.0
node-babel-plugin-transform-es2015-object-super >= 6.22.0
node-babel-plugin-transform-es2015-parameters >= 6.23.0
node-babel-plugin-transform-es2015-shorthand-properties >= 6.22.0
node-babel-plugin-transform-es2015-spread >= 6.22.0
node-babel-plugin-transform-es2015-sticky-regex >= 6.22.0
node-babel-plugin-transform-es2015-template-literals >= 6.22.0
node-babel-plugin-transform-es2015-typeof-symbol >= 6.23.0
node-babel-plugin-transform-es2015-unicode-regex >= 6.22.0
node-babel-plugin-transform-exponentiation-operator >= 6.22.0
node-babel-plugin-transform-regenerator >= 6.22.0
node-browserslist >= 2.1.2
node-invariant >= 2.2.2
node-semver >= 5.3.0
nodejs -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package node-babel-preset-env_1.6.0-1_all.deb
Source Package node-babel-preset-env

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-babel-preset-env deb package:
    # sudo apt-get install node-babel-preset-env

Files

Path
/usr/lib/nodejs/babel-preset-env/CONTRIBUTING.md
/usr/lib/nodejs/babel-preset-env/package.json
/usr/lib/nodejs/babel-preset-env/data/built-in-features.js
/usr/lib/nodejs/babel-preset-env/data/built-ins.json
/usr/lib/nodejs/babel-preset-env/data/plugin-features.js
/usr/lib/nodejs/babel-preset-env/data/plugins.json
/usr/lib/nodejs/babel-preset-env/lib/default-includes.js
/usr/lib/nodejs/babel-preset-env/lib/index.js
/usr/lib/nodejs/babel-preset-env/lib/module-transformations.js
/usr/lib/nodejs/babel-preset-env/lib/normalize-options.js
/usr/lib/nodejs/babel-preset-env/lib/targets-parser.js
/usr/lib/nodejs/babel-preset-env/lib/transform-polyfill-require-plugin.js
/usr/lib/nodejs/babel-preset-env/lib/utils.js
/usr/share/doc/node-babel-preset-env/README.md.gz
/usr/share/doc/node-babel-preset-env/changelog.Debian.gz
/usr/share/doc/node-babel-preset-env/changelog.gz
/usr/share/doc/node-babel-preset-env/copyright

Changelog

2017-12-01 - Pirate Praveen <praveen@debian.org>
node-babel-preset-env (1.6.0-1) unstable; urgency=low
* Initial release (Closes: #876264)
[Paolo Greppi]
* Patch to use babel-preset-es2015 rather than self

See Also

Package Description
node-babel-preset-es2015-loose_8.0.0-2_all.deb Babel preset for all es2015 plugins, with loose mode
node-babel-preset-es2015_6.26.0+dfsg-3_all.deb Babel preset for all es2015 plugins
node-babel-preset-es2016_6.26.0+dfsg-3_all.deb Babel preset for all es2016 plugins
node-babel-preset-es2017_6.26.0+dfsg-3_all.deb Babel preset for all es2017 plugins
node-babel-preset-es3_1.0.1-1_all.deb Preset for Babel's ES3 transformations
node-babel-preset-flow-vue_1.0.0-1_all.deb babel preset for flow support
node-babel-preset-flow_6.26.0+dfsg-3_all.deb Babel preset for all Flow plugins
node-babel-preset-latest_6.26.0+dfsg-3_all.deb Babel preset including es2015+
node-babel-preset-react_6.26.0+dfsg-3_all.deb Babel preset for all React plugins
node-babel-preset-stage-0_6.26.0+dfsg-3_all.deb Babel preset for stage 0 plugins
node-babel-preset-stage-1_6.26.0+dfsg-3_all.deb Babel preset for stage 1 plugins
node-babel-preset-stage-2_6.26.0+dfsg-3_all.deb Babel preset for stage 2 plugins
node-babel-preset-stage-3_6.26.0+dfsg-3_all.deb Babel preset for stage 3 plugins
node-babel-register_6.26.0+dfsg-3_all.deb babel require hook
node-babel-runtime_6.26.0+dfsg-3_all.deb babel selfContained runtime
Advertisement
Advertisement